All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Prompt

All Superinterfaces:
  AbstractPrompt, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface Prompt

extends AbstractPrompt

For use by the SAS Prompt Interface. The SAS Prompt Interface allows prompts to be defined as either shared or private. A private prompt is visible and used only by the prompt enabled object and may reference a shared prompt. A shared prompt is a prompt that is publicly visible and may be used by multiple objects. A prompt will be either associated to a single metadata object or, if acting as a shared prompt, a member ofa SAS Folder.

Attributes of Prompt are:

- `PromptType`
- `PromptInfo`

Associations of Prompt are:

## Usage

To create an instance of this Prompt, use the `factory` create methods.
Example: create a Prompt with name "Prompt_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Prompt myObject = (Prompt) factory.createComplexMetadataObject(objectStore, "Prompt_Object", MetadataObjects.PROMPT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ATTRIBUTE_PROMPTINFO_NAME` Constant used for the name of the PromptInfo attribute.
`static java.lang.String` | `ATTRIBUTE_PROMPTTYPE_NAME` Constant used for the name of the PromptType attribute.

Fields inherited from interface com.sas.metadata.remote.AbstractPrompt
`ASSOCIATION_PROMPTENABLEDOBJECT_NAME, ASSOCIATION_PROMPTREFERENCES_NAME, ASSOCIATION_REFERENCEDPROMPTS_NAME, ASSOCIATION_VALUESOURCE_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getPromptInfo()` Gets the `String` value of `PromptInfo`
`int` | `getPromptInfoMaxLength()` Gets the maximum length of `PromptInfo`
`int` | `getPromptInfoState()` Gets the Metadata State of `PromptInfo`
`int` | `getPromptType()` Gets the `int` value of `PromptType`
`int` | `getPromptTypeState()` Gets the Metadata State of `PromptType`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setPromptInfo(java.lang.String inPromptInfo)` Sets the `PromptInfo` value and sets the state to MetadataState.LOCAL.
`void` | `setPromptInfo(java.lang.String inPromptInfo, int state)` Sets the `PromptInfo` Metadata State.
`void` | `setPromptInfoState(int state)` Sets the Metadata State of `PromptInfo`.
`void` | `setPromptType(int inPromptType)` Sets the `PromptType` value and sets the state to MetadataState.LOCAL.
`void` | `setPromptType(int inPromptType, int state)` Sets the `PromptType` Metadata State.
`void` | `setPromptType(java.lang.String inPromptType)` Sets the `PromptType` value and sets the state to MetadataState.LOCAL.
`void` | `setPromptType(java.lang.String inPromptType, int state)` Sets the `PromptType` value and Metadata State.
`void` | `setPromptTypeState(int state)` Sets the Metadata State of `PromptType`.

Methods inherited from interface com.sas.metadata.remote.AbstractPrompt
`getPromptEnabledObject, getPromptEnabledObjects, getPromptEnabledObjects, getPromptReferences, getPromptReferences, getReferencedPrompts, getReferencedPrompts, getValueSource, getValueSources, getValueSources, setPromptEnabledObject, setPromptEnabledObjects, setPromptEnabledObjects, setPromptReferences, setPromptReferences, setReferencedPrompts, setReferencedPrompts, setValueSource, setValueSources, setValueSources`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_PROMPTTYPE_NAME

    static final java.lang.String ATTRIBUTE_PROMPTTYPE_NAME

  Constant used for the name of the PromptType attribute.

  PromptType: Provides the input type to be used by the UI - such as textbox, checkbox

  See Also:
    Constant Field Values

### ATTRIBUTE_PROMPTINFO_NAME

    static final java.lang.String ATTRIBUTE_PROMPTINFO_NAME

  Constant used for the name of the PromptInfo attribute.

  PromptInfo: Private information about the prompt, to be used only by the prompt interface.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractPrompt`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `AbstractPrompt`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPromptType

    int getPromptType()
                      throws java.rmi.RemoteException

  Gets the `int` value of `PromptType`

  Returns:
    The `PromptType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPromptTypeState

    int getPromptTypeState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `PromptType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPromptInfo

    java.lang.String getPromptInfo()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `PromptInfo`

  Returns:
    The `PromptInfo`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPromptInfoState

    int getPromptInfoState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `PromptInfo`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPromptInfoMaxLength

    int getPromptInfoMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `PromptInfo`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setPromptType

    void setPromptType(int inPromptType)
                       throws java.rmi.RemoteException

  Sets the `PromptType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPromptType` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptType

    void setPromptType(int inPromptType,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `PromptType` Metadata State.

  Parameters:
    `inPromptType` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptType

    void setPromptType(java.lang.String inPromptType)
                       throws java.rmi.RemoteException

  Sets the `PromptType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPromptType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptType

    void setPromptType(java.lang.String inPromptType,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `PromptType` value and Metadata State.

  Parameters:
    `inPromptType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptTypeState

    void setPromptTypeState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `PromptType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptInfo

    void setPromptInfo(java.lang.String inPromptInfo)
                       throws java.rmi.RemoteException

  Sets the `PromptInfo` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPromptInfo` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptInfo

    void setPromptInfo(java.lang.String inPromptInfo,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `PromptInfo` Metadata State.

  Parameters:
    `inPromptInfo` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPromptInfoState

    void setPromptInfoState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `PromptInfo`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.